import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from '@emotion/react';
const styles = {
    titleContainer: {
        display: 'flex',
        justifyContent: 'space-between',
        flexWrap: 'wrap',
        alignItems: 'center',
    },
    title: {
        fontSize: '0.9rem',
        flex: 1,
        padding: '5px 0',
        textAlign: 'left',
        color: 'white',
    },
    description: {
        paddingTop: '1rem',
        fontSize: '0.7rem',
        textAlign: 'left',
        color: 'white',
    },
    shortcutContainer: {
        display: 'flex',
        textWrap: 'nowrap',
        color: 'white',
    },
    shortcutItem: {
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        padding: '0.2rem',
        border: '1px solid #ccc',
        borderRadius: '4px',
        height: 'calc(0.2rem + 20px)',
        minWidth: 'calc(0.2rem + 20px)' /* Adjust padding and border width */,
        marginLeft: '5px',
        fontSize: '0.75rem',
        fontWeight: 'bold',
    },
};
export function CustomToolTip(props) {
    const { title, shortcuts = [], subTitles = [], description = '', link, } = props;
    return (_jsxs("div", { style: {
            width: 250,
            padding: '0.5rem',
        }, children: [_jsxs("div", { style: styles.titleContainer, children: [_jsx("span", { style: styles.title, children: title }), _jsx(ShortCuts, { shortcuts: shortcuts })] }), _jsx(SubTitles, { items: subTitles }), (description || link) && (_jsxs("p", { style: styles.description, children: [description, link && (_jsx("a", { style: description ? { paddingLeft: '5px' } : {}, target: "_blank", href: link, rel: "noreferrer", children: "Learn more" }))] }))] }));
}
function ShortCuts({ shortcuts, style = {}, }) {
    return (_jsx("div", { style: styles.shortcutContainer, children: shortcuts.map((key, index) => {
            return (_jsx("div", { style: {
                    ...styles.shortcutItem,
                    ...(index === 0 && { margin: 0 }),
                    ...style,
                }, children: _jsx("span", { children: key }) }, key));
        }) }));
}
const subTitleStyle = css `
  padding-left: 5px;
  list-style: none;

  li {
    position: relative;
    padding-left: 15px;
    box-sizing: border-box;

    &::before {
      position: absolute;
      top: 15px;
      left: 0;
      width: 10px;
      height: 1px;
      margin: auto;
      content: '';
      background-color: white;
    }

    &::after {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      width: 1px;
      height: 100%;
      content: '';
      background-color: white;
    }

    &:last-child::after {
      height: 15px;
    }
  }

  li:first-child {
    padding-top: 5px;

    &::before {
      top: 20px;
    }
  }
`;
function SubTitles({ items }) {
    if (!items || items.length === 0)
        return null;
    return (_jsx("ul", { css: subTitleStyle, children: items.map(({ shortcuts = [], title }) => (_jsx("li", { children: _jsxs("div", { style: styles.titleContainer, children: [_jsx("span", { style: { ...styles.title, fontSize: '0.7rem' }, children: title }), _jsx(ShortCuts, { style: { padding: '0.1rem' }, shortcuts: shortcuts })] }) }, title))) }));
}
