import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Icon, Tooltip } from '@blueprintjs/core';
export function SVGButton(props) {
    const { size = 16, padding = 5, className, icon, renderIcon, backgroundColor = 'gray', color = 'white', title, tooltipProps, ...otherProps } = props;
    return (_jsx(Tooltip, { content: title, compact: true, targetTagName: "g", placement: "auto-end", ...tooltipProps, children: _jsxs("svg", { width: size, height: size, viewBox: `0 0 ${size} ${size}`, ...otherProps, children: [_jsx("circle", { cx: size / 2, cy: size / 2, r: size / 2, fill: backgroundColor }), _jsx("g", { transform: `translate(${padding / 2} ${padding / 2})`, children: typeof renderIcon === 'function' ? (renderIcon({ size: size - padding, color })) : (_jsx(Icon, { tagName: "g", icon: icon, size: size - padding, color: color })) })] }) }));
}
