import { generateColor } from '../../utilities/generateColor';
import { getCustomColor } from '../../utilities/getCustomColor';
function isRandomColorGeneration(options) {
    return 'random' in options;
}
export const COLORS = [
    '#C10020',
    '#007D34',
    '#803E75',
    '#FF6800',
    '#B32851',
    '#7F180D',
    '#232C16',
    '#A6BDD7',
    '#CEA262',
    '#817066',
    '#FF8E00',
    '#F6768E',
    '#00538A',
    '#FF7A5C',
    '#53377A',
    '#FFB300',
    '#F4C800',
    '#93AA00',
    '#593315',
    '#F13A13',
];
export function get1DColor(spectrum, options) {
    const { regenerate = false, usedColors = {}, colors } = options;
    let color = 'black';
    if (!spectrum?.display?.color || regenerate) {
        const customColor = getCustomColor(spectrum, colors);
        const isRandom = isRandomColorGeneration(options) && options.random;
        if (customColor && !isRandom) {
            color = customColor;
        }
        else {
            color = generateColor({ usedColors: usedColors?.['1d'] || [] });
        }
    }
    else {
        color = spectrum.display.color;
    }
    if (usedColors['1d']) {
        usedColors['1d'].push(color);
    }
    return { color };
}
