import { Logger } from 'cheminfo-types';
import { Spectrum1D } from 'nmr-load-save';
import { Range } from 'nmr-processing';
export declare function cutRange(spectrum: Spectrum1D, x: number): Record<string, Range[]>;
export declare function createRange(spectrum: Spectrum1D, options: Pick<Range, 'from' | 'to'> & {
    logger?: Logger;
}): {
    absolute: number;
    signals: {
        originalDelta: number | undefined;
        delta: number;
        multiplicity: string;
        js: import("nmr-processing").Jcoupling[];
        atoms?: number[] | undefined;
        assignment?: string | undefined;
        diaIDs?: string[] | undefined;
        nbAtoms?: number | undefined;
        integration?: number | undefined;
        statistic?: {
            mean: number;
            sd: number;
            min: number;
            max: number;
            nb: number;
        } | undefined;
        kind: string;
        id: string;
        peaks: {
            originalX: number;
            x: number;
            id: string;
            kind?: string | undefined;
            shape?: import("ml-peak-shape-generator").Shape1D | undefined;
            y: number;
            width: number;
        }[];
    }[];
    originalFrom: number | undefined;
    originalTo: number | undefined;
    from: number;
    to: number;
    id: string;
    kind: string;
    integration: number;
    nbAtoms?: number | undefined;
    multiplicity?: string | undefined;
    assignment?: string | undefined;
    diaIDs?: string[] | undefined;
    pubIntegral?: number | undefined;
} | undefined;
